summaryrefslogtreecommitdiffstats
path: root/desktop/xpra/mkdoc.sh
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-01-11 13:11:17 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-01-17 09:03:30 +0700
commit6ee2255a866387b2084b0e2716ec14bea4d60ca7 (patch)
treea60c0b48d746381225ff0f61dae4bc3d3f66a629 /desktop/xpra/mkdoc.sh
parentfb021c585530b602ae8d6c8f37c582848ae751fc (diff)
downloadslackbuilds-6ee2255a866387b2084b0e2716ec14bea4d60ca7.tar.gz
slackbuilds-6ee2255a866387b2084b0e2716ec14bea4d60ca7.tar.xz
desktop/xpra: Added (remote X11 desktop proxy)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/xpra/mkdoc.sh')
-rw-r--r--desktop/xpra/mkdoc.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/desktop/xpra/mkdoc.sh b/desktop/xpra/mkdoc.sh
new file mode 100644
index 0000000000..b5324851fa
--- /dev/null
+++ b/desktop/xpra/mkdoc.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# Create the xpra-prebuilt-docs tarball. Part of SlackBuilds.org xpra
+# build. Run from within the SlackBuild dir. Does not require root
+# acces, but does need to write to its current directory.
+
+set -e
+
+# get VERSION:
+source ./xpra.info
+
+OUTDIR=xpra-$VERSION-prebuilt-docs
+TARBALL=$OUTDIR.tar.xz
+
+RPMFILE=xpra-common-4.3-10.el8.noarch.rpm
+URL=https://www.xpra.org/dists/CentOS/8/x86_64/$RPMFILE
+
+# only download the file if we don't already have it.
+[ -e $RPMFILE ] || wget $URL
+[ -e $RPMFILE ] || exit 1
+
+rm -rf $OUTDIR
+mkdir -p $OUTDIR
+cd $OUTDIR
+
+# extract without creating an intermediate tarball (as rpm2targz would):
+rpm2cpio ../$RPMFILE | cpio -imd
+
+# remove everything but the docs:
+mkdir .keep
+mv usr/share/doc/xpra/* .keep
+rm -rf *
+mv .keep/* .
+rmdir .keep
+
+# now ready to create the tarball.
+cd -
+tar cvfJ $TARBALL $OUTDIR
+md5sum $TARBALL